---
# this is a palmtest build configuration file

compiler:
  id: GNU
  executable: "{{GNU.executable}}"
  mpi_wrapper: "{{GNU.mpi_wrapper}}"
  definitions:
    - "MPI_REAL=MPI_DOUBLE_PRECISION"
    - "MPI_2REAL=MPI_2DOUBLE_PRECISION"
    - "__parallel"
    - "__netcdf"
    - "__netcdf4"
    - "__netcdf4_parallel"
    - "__fftw"
    - "__rrtmg"
    - "__gfortran"
  options:
    default:
      - "-cpp"
      - "-Wall"
      - "-Werror"
      - "-Wextra"
      - "-pedantic"
      - "-Wno-uninitialized"
      - "-Wno-maybe-uninitialized"
      - "-Wno-conversion"
      - "-Wno-compare-reals"
      - "-Ofast"
      - "-ffree-line-length-none"
    debug:
      - "-cpp"
      - "-O0"
      - "-Wall"
      - "-Werror"
      - "-Wextra"
      - "-pedantic"
      - "-fcheck=all"
      - "-fbacktrace"
      - "-Wno-conversion"
      - "-Wno-compare-reals"
      - "-finit-real=nan"
      - "-ffree-line-length-none"
  includes:
    - "{{GNU.include.netcdf}}"
    - "{{GNU.include.fftw}}"
    - "{{GNU.include.rrtmg}}"

linker:
  options:
    - "{{GNU.lib.netcdf}}"
    - "{{GNU.lib.fftw}}"
    - "{{GNU.lib.rrtmg}}"
